QGIS Application - Bug report #17587

New features with primary key and autoincrement field can not saved in a spatialite database in
QGIS master

2017-11-29 09:48 PM - Gerhard Spieles

Status: Closed

Priority: High

Assignee:

Category: Data Provider/SpatialLite

Affected QGIS version:master Regression?: Yes

Operating System: win 10 Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 25484
Description

After digitizing a new feature in a spatialite based layer, qgis opens the form to enter the data.
The field "pkuid" (defined in the db as primary key and autoincrement) contains "NULL" and the save button is grey. You can only activate
the save button, if you manualy makes an entry in this field. This is not "autoincrement".

In 2.18.14, this works correct. In the form, the "pkuid" field is blank and the save button ist aktiv. Press the save button and spatialte db
gives the autoincrement number automaticaly.

History

#1 - 2017-11-30 04:41 AM - Giovanni Manghi
- Regression? changed from No to Yes

#2 - 2017-12-13 06:49 AM - Mathieu Pellerin - nIRV
- Resolution set to fixed/implemented
- Status changed from Open to Closed

Fixed in commit:73674e8157925df6979485cf36804c6e252d03a1

2025-12-22 1/1




